Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.management.j2ee
Class NotificationConstants

    java.lang.Object
      org.jboss.management.j2ee.NotificationConstants

public final class NotificationConstants
extends Object

Constants used by Notification.type

Author:
  thomas.diesler@jboss.org

Field Summary
`static String` | `ATTRIBUTE_CHANGED`
`static String` | `OBJECT_CREATED`
`static String` | `OBJECT_DELETED`
`static String` | `OBJECT_REGISTERED`
`static String` | `OBJECT_UNREGISTERED`
`static String` | `STATE_FAILED`
`static String` | `STATE_RUNNING`
`static String` | `STATE_STARTING`
`static String` | `STATE_STOPPED`
`static String` | `STATE_STOPPING`

Constructor Summary
`NotificationConstants()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OBJECT_CREATED

    public static final String OBJECT_CREATED

See Also:
  Constant Field Values

### OBJECT_DELETED

    public static final String OBJECT_DELETED

See Also:
  Constant Field Values

### OBJECT_REGISTERED

    public static final String OBJECT_REGISTERED

See Also:
  Constant Field Values

### OBJECT_UNREGISTERED

    public static final String OBJECT_UNREGISTERED

See Also:
  Constant Field Values

### STATE_STARTING

    public static final String STATE_STARTING

See Also:
  Constant Field Values

### STATE_RUNNING

    public static final String STATE_RUNNING

See Also:
  Constant Field Values

### STATE_STOPPING

    public static final String STATE_STOPPING

See Also:
  Constant Field Values

### STATE_STOPPED

    public static final String STATE_STOPPED

See Also:
  Constant Field Values

### STATE_FAILED

    public static final String STATE_FAILED

See Also:
  Constant Field Values

### ATTRIBUTE_CHANGED

    public static final String ATTRIBUTE_CHANGED

See Also:
  Constant Field Values

Constructor Detail

### NotificationConstants

    public NotificationConstants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.